(function webpackUniversalModuleDefinition(root, factory) {
	if(typeof exports === 'object' && typeof module === 'object')
		module.exports = factory(require("fs"));
	else if(typeof define === 'function' && define.amd)
		define(["fs"], factory);
	else {
		var a = typeof exports === 'object' ? factory(require("fs")) : factory(root["fs"]);
		for(var i in a) (typeof exports === 'object' ? exports : root)[i] = a[i];
	}
})(window, function(__WEBPACK_EXTERNAL_MODULE__30__) {
return /******/ (function(modules) { // webpackBootstrap
/******/ 	// install a JSONP callback for chunk loading
/******/ 	function webpackJsonpCallback(data) {
/******/ 		var chunkIds = data[0];
/******/ 		var moreModules = data[1];
/******/
/******/
/******/ 		// add "moreModules" to the modules object,
/******/ 		// then flag all "chunkIds" as loaded and fire callback
/******/ 		var moduleId, chunkId, i = 0, resolves = [];
/******/ 		for(;i < chunkIds.length; i++) {
/******/ 			chunkId = chunkIds[i];
/******/ 			if(Object.prototype.hasOwnProperty.call(installedChunks, chunkId) && installedChunks[chunkId]) {
/******/ 				resolves.push(installedChunks[chunkId][0]);
/******/ 			}
/******/ 			installedChunks[chunkId] = 0;
/******/ 		}
/******/ 		for(moduleId in moreModules) {
/******/ 			if(Object.prototype.hasOwnProperty.call(moreModules, moduleId)) {
/******/ 				modules[moduleId] = moreModules[moduleId];
/******/ 			}
/******/ 		}
/******/ 		if(parentJsonpFunction) parentJsonpFunction(data);
/******/
/******/ 		while(resolves.length) {
/******/ 			resolves.shift()();
/******/ 		}
/******/
/******/ 	};
/******/
/******/
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// object to store loaded and loading chunks
/******/ 	// undefined = chunk not loaded, null = chunk preloaded/prefetched
/******/ 	// Promise = chunk loading, 0 = chunk loaded
/******/ 	var installedChunks = {
/******/ 		40: 0
/******/ 	};
/******/
/******/
/******/
/******/ 	// script path function
/******/ 	function jsonpScriptSrc(chunkId) {
/******/ 		return __webpack_require__.p + "" + ({"0":"ActiveSync/js/ActiveSync","1":"Addressbook/js/Addressbook","2":"Admin/js/Admin","3":"Bookmarks/js/Bookmarks","4":"Calendar/js/Calendar","6":"CoreData/js/CoreData","7":"Courses/js/Courses","8":"Crm/js/Crm","9":"EFile/js/EFile","10":"Felamimail/js/Felamimail","11":"Filemanager/js/Filemanager","12":"Filemanager/js/FilemanagerFileLocationPlugin","13":"GDPR/js/GDPR","14":"HumanResources/js/HumanResources","15":"Inventory/js/Inventory","16":"OnlyOfficeIntegrator/js/OnlyOfficeIntegrator","17":"Phone/js/Phone","18":"Projects/js/Projects","19":"SSO/js/SSO","21":"SSO/js/logout","23":"Sales/js/Sales","24":"Setup/js/Setup","26":"SimpleFAQ/js/SimpleFAQ","27":"Tasks/js/Tasks","28":"Timetracker/js/Timetracker","29":"Tinebase/js/ColorPickerApp","30":"Tinebase/js/DownloadFileLocationTypePlugin","31":"Tinebase/js/MapPanel","32":"Tinebase/js/Tinebase","33":"Tinebase/js/UploadFileLocationTypePlugin","34":"Tinebase/js/UploadQueue","35":"Tinebase/js/Vue","36":"Tinebase/js/ace","37":"Tinebase/js/async","38":"Tinebase/js/cytoscape","39":"Tinebase/js/email-addresses","41":"Tinebase/js/hammerjs","42":"Tinebase/js/html2canvas","43":"Tinebase/js/linkify","44":"Tinebase/js/livr","46":"Tinebase/js/qrcode","47":"Tinebase/js/rfc4648","48":"Voipmanager/js/Voipmanager"}[chunkId]||chunkId) + "-" + {"0":"b1625105729e9a2f9c53","1":"f9fb44cd461c5cb4b3f0","2":"c6e2565d01763546ba63","3":"0300b33a77c9b92b1e3c","4":"211737ed9862288e4aa6","6":"b019cf406836c4025bd6","7":"d3ac641ed058ae7b23f5","8":"1e5a421a696a6424d0ae","9":"727043804916293013bd","10":"d5697924d45bba327b76","11":"c21ebbeb8b6ee5019996","12":"be0fee61f4c2316476f5","13":"3e82a175e83ba5a51d2b","14":"59c2d37781da127e3bb2","15":"24eb466b0a7794f4cd48","16":"9a755cb524d41b1873bd","17":"9408e97f2bae0852e048","18":"a24e20bb440e23753776","19":"e7c9eff4c7aaf9f15a35","21":"4007f1a75df1faaaa99c","23":"0c459da32e1281adf54c","24":"984121539a11311e1168","26":"623ed35673f26bdde6d9","27":"b9b5258fbea5e30fa456","28":"0f774d709320cc1a98c4","29":"82976ae49ec2dc3cb24f","30":"44e9c68848b77f75ba57","31":"c69afe47757cd04488a0","32":"7b95a8e2fe26070a1ebc","33":"4a33b65a617be919b14e","34":"df50084745c334957ba2","35":"e6754a3e967c3d380825","36":"1fef2b8e572daeebd726","37":"59c653488f518fe7e7b2","38":"d6b7701d14954468b534","39":"fbac220f3c149350696d","41":"7031c9e7148c31fcea91","42":"ba0a3d44f22e4f4f13e6","43":"2fa3aa731f3415c78f85","44":"a1491f66cdddbc1b7a6f","46":"8a98bf61ef8c50ed2355","47":"67864726d5d3cff7aa01","48":"f995c49b9e273880d2f7"}[chunkId] + "-FAT.debug.js";
/******/ 	}
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/ 	// This file contains only the entry chunk.
/******/ 	// The chunk loading function for additional chunks
/******/ 	__webpack_require__.e = function requireEnsure(chunkId) {
/******/ 		var promises = [];
/******/
/******/
/******/ 		// JSONP chunk loading for javascript
/******/
/******/ 		var installedChunkData = installedChunks[chunkId];
/******/ 		if(installedChunkData !== 0) { // 0 means "already installed".
/******/
/******/ 			// a Promise means "currently loading".
/******/ 			if(installedChunkData) {
/******/ 				promises.push(installedChunkData[2]);
/******/ 			} else {
/******/ 				// setup Promise in chunk cache
/******/ 				var promise = new Promise(function(resolve, reject) {
/******/ 					installedChunkData = installedChunks[chunkId] = [resolve, reject];
/******/ 				});
/******/ 				promises.push(installedChunkData[2] = promise);
/******/
/******/ 				// start chunk loading
/******/ 				var script = document.createElement('script');
/******/ 				var onScriptComplete;
/******/
/******/ 				script.charset = 'utf-8';
/******/ 				script.timeout = 120;
/******/ 				if (__webpack_require__.nc) {
/******/ 					script.setAttribute("nonce", __webpack_require__.nc);
/******/ 				}
/******/ 				script.src = jsonpScriptSrc(chunkId);
/******/
/******/ 				// create error before stack unwound to get useful stacktrace later
/******/ 				var error = new Error();
/******/ 				onScriptComplete = function (event) {
/******/ 					// avoid mem leaks in IE.
/******/ 					script.onerror = script.onload = null;
/******/ 					clearTimeout(timeout);
/******/ 					var chunk = installedChunks[chunkId];
/******/ 					if(chunk !== 0) {
/******/ 						if(chunk) {
/******/ 							var errorType = event && (event.type === 'load' ? 'missing' : event.type);
/******/ 							var realSrc = event && event.target && event.target.src;
/******/ 							error.message = 'Loading chunk ' + chunkId + ' failed.\n(' + errorType + ': ' + realSrc + ')';
/******/ 							error.name = 'ChunkLoadError';
/******/ 							error.type = errorType;
/******/ 							error.request = realSrc;
/******/ 							chunk[1](error);
/******/ 						}
/******/ 						installedChunks[chunkId] = undefined;
/******/ 					}
/******/ 				};
/******/ 				var timeout = setTimeout(function(){
/******/ 					onScriptComplete({ type: 'timeout', target: script });
/******/ 				}, 120000);
/******/ 				script.onerror = script.onload = onScriptComplete;
/******/ 				document.head.appendChild(script);
/******/ 			}
/******/ 		}
/******/ 		return Promise.all(promises);
/******/ 	};
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, { enumerable: true, get: getter });
/******/ 		}
/******/ 	};
/******/
/******/ 	// define __esModule on exports
/******/ 	__webpack_require__.r = function(exports) {
/******/ 		if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 			Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 		}
/******/ 		Object.defineProperty(exports, '__esModule', { value: true });
/******/ 	};
/******/
/******/ 	// create a fake namespace object
/******/ 	// mode & 1: value is a module id, require it
/******/ 	// mode & 2: merge all properties of value into the ns
/******/ 	// mode & 4: return value when already ns object
/******/ 	// mode & 8|1: behave like require
/******/ 	__webpack_require__.t = function(value, mode) {
/******/ 		if(mode & 1) value = __webpack_require__(value);
/******/ 		if(mode & 8) return value;
/******/ 		if((mode & 4) && typeof value === 'object' && value && value.__esModule) return value;
/******/ 		var ns = Object.create(null);
/******/ 		__webpack_require__.r(ns);
/******/ 		Object.defineProperty(ns, 'default', { enumerable: true, value: value });
/******/ 		if(mode & 2 && typeof value != 'string') for(var key in value) __webpack_require__.d(ns, key, function(key) { return value[key]; }.bind(null, key));
/******/ 		return ns;
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/ 	// on error function for async loading
/******/ 	__webpack_require__.oe = function(err) { console.error(err); throw err; };
/******/
/******/ 	var jsonpArray = window["webpackJsonp"] = window["webpackJsonp"] || [];
/******/ 	var oldJsonpFunction = jsonpArray.push.bind(jsonpArray);
/******/ 	jsonpArray.push = webpackJsonpCallback;
/******/ 	jsonpArray = jsonpArray.slice();
/******/ 	for(var i = 0; i < jsonpArray.length; i++) webpackJsonpCallback(jsonpArray[i]);
/******/ 	var parentJsonpFunction = oldJsonpFunction;
/******/
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 102);
/******/ })
/************************************************************************/
/******/ ({

/***/ 102:
/***/ (function(module, exports, __webpack_require__) {

/*
 * Tine 2.0
 *
 * @license     http://www.gnu.org/licenses/agpl.html AGPL Version 3
 * @author      Cornelius Weiß <c.weiss@metaways.de>
 * @copyright   Copyright (c) 2016-2018 Metaways Infosystems GmbH (http://www.metaways.de)
 */

/**
 * webpack entry
 */
// NOTE: outdated browsers are not able to load the code dynamically so we need
//       to notify them at this early stage
// NOTE: it would be better to use browserslist-useragent, but there is no cliet side support atm:
//       https://github.com/browserslist/browserslist-useragent/issues/9
if (!window.Promise) {
  // wait for translation to load
  window.setTimeout(function () {
    var msgs = Tine && Tine.__translationData ? Tine.__translationData.msgs['./LC_MESSAGES/Tinebase'] : {};

    var _ = function _(msg) {
      return msgs[msg] || msg;
    };

    Ext.Msg.show({
      title: _("Outdated Browser"),
      msg: _("You need a current Browser to use this program."),
      buttons: '',
      closable: false,
      icon: Ext.MessageBox.ERROR
    });
  }, 2000);
} else {
  try {
    __webpack_require__.e(/* require.ensure | Tinebase/js/Tinebase */ 32).then((function () {
      var libs = __webpack_require__(14);

      libs.lodash.assign(window, libs);

      __webpack_require__(20);
    }).bind(null, __webpack_require__)).catch(__webpack_require__.oe);
  } catch (e) {
    window.location.reload(true);
  }
}

/***/ }),

/***/ 30:
/***/ (function(module, exports) {

module.exports = __WEBPACK_EXTERNAL_MODULE__30__;

/***/ })

/******/ });
});